> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.13.md).

# V1.3.13

Version Changes for 1.3.?-?

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.13-0
Date: 30/10/22
User: Zycore
> ----------
>>> migrate.js
* Migration code for when users swap to BLUE from YELLOW. Needs to be reviewed and debugged for errors i have not though of.

>>> bot.js,
* Increased cache values

>>> args.js
* Added migrate command as argument

>>> events.js
* Removed global saving of client.supportGuild

>>> message.js
* Added a command trigger for migration function.

>>> misc.js
* Bug fix.
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.13-1
Date: 30/10/22
User: Zycore
> ----------
>>> events.js
* Now has all 5 Tiers, With role ID and Tasks Allowance as array

>>> stats.js
* added engine and tier to stats sub command

>>> choose_server.js,
* Tier and Engine are now collected from event.js index

>>> sub.js
* Added Engine question to subadd command

>>> dbSubscriptionsModel.js
* Added "engine": Sequelize.STRING(16)

>>> db.js
* Change to now account for engine and tier

>>> helpers.js
* Change to now account for engine and tier
* Also added a check, so highest index value will be used when updating task allowance, so if a user upgrade a tier and the lower tier is not removed then it will only user the value of the highest tier. Thus removing need for intervention.

>>> permissions.js
* now includes tier values.
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
No Public Change Log
```

{% endcode %}

## V-3

{% code overflow="wrap" %}

```markdown
No Public Change Log
```

{% endcode %}

## V-4

{% code overflow="wrap" %}

```markdown
No Public Change Log
```

{% endcode %}

## V-5

{% code overflow="wrap" %}

```markdown
### 1.3.13-5
Date: 01/11/22
User: Qjuh
> ----------
>>> send.js
* put stickers into embeds instead of attachments
```

{% endcode %}

## V-6

{% code overflow="wrap" %}

```markdown
### 1.3.13-6
Date: 01/11/22
User: Qjuh
> ----------
>>> send.js, auto.js, translate.js
* moved language and backupLang from `data.message` to `data`
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.13.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
